<div class="header bg-gradient-danger pb-8 pt-5 pt-md-8">
  <div class="container-fluid">
    <div class="header-body">
      <!-- Card stats -->
     
    </div>
  </div>
</div>
<!-- Page content -->
<div class="container-fluid mt--7">
  <!-- Table -->
  <div class="row">
    <div class="col">
      <div class="card shadow">
        <div class="card-header border-0">
          <h3 class="mb-0">Searches Details</h3>
        </div>
        <div class="table-responsive">
          <table class="table align-items-center table-flush">
            <thead class="thead-light">
              <tr>
                <th scope="col">Service Provider Name</th>
                <th scope="col">Empolyee Name</th>
                <th scope="col">Company Name</th>
                <th scope="col">Search Text</th>
                <th scope="col">Search Type</th>
                <th scope="col">Search Time</th>
                <th scope="col">Actions</th>
              </tr>
            </thead>
            <tbody>
              <tr *ngFor="let item of data?.doc">
              
                <td>
                  {{item.serviceProvider.providerName}}
                </td>
                <td>
                  {{item.employee?.fName ? item.employee.fName : '----'}}
                </td>
                <td>
                  {{item.company?.companyName ? item.company?.companyName : '----'}}
               
                </td>
                <td>
                 {{item.searchText}}
                </td>
                <td>
                  {{item.searchType}}
                 </td>
                <!-- <td>{{date.utc(item.searchTime).utcOffset('+03:00').format('DD.MM.YYYY hh:mm')}}</td> -->
                <td class="text-right">
                  <div ngbDropdown placement="bottom-right">
                    <a class="btn btn-sm btn-icon-only text-light"  ngbDropdownToggle>
                      <i class="fas fa-ellipsis-v"></i>
                    </a>
                    <div ngbDropdownMenu class=" dropdown-menu-right dropdown-menu-arrow">
                      <a class="dropdown-item" href="javascript:void(0)">Action</a>
                      <a class="dropdown-item" href="javascript:void(0)">Another action</a>
                      <a class="dropdown-item" href="javascript:void(0)">Something else here</a>
                    </div>
                  </div>
                </td>
              </tr>
            </tbody>
          </table>
        </div>
       
      </div>
    </div>
  </div>
  <!-- Dark table -->
 
</div>
